Package org.apache.cxf.annotations

# Annotation Interface WSDLDocumentation

@Documented @Retention(RUNTIME) @Target({TYPE,METHOD}) @Inherited public @interface WSDLDocumentation
Adds documentation nodes to the generated WSDL

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `WSDLDocumentation.DEFAULT`
  `static enum`
  `WSDLDocumentation.Placement`

- ## Required Element Summary

  Required Elements
  Modifier and Type
  Required Element
  Description
  `String`
  `value`
  The documentation to add

- ## Optional Element Summary

  Optional Elements
  Modifier and Type
  Optional Element
  Description
  `Class<?>`
  `faultClass`
  If Placement is FAULT_MESSAGE, PORT_FAULT, or BINDING_FAULT, return the fault class associated with this documentation
  `WSDLDocumentation.Placement`
  `placement`
  The place to put the documentation.

- ## Element Details

  - ### value

    String value
    The documentation to add
    Returns:
      documentation string

- - ### placement

    WSDLDocumentation.Placement placement
    The place to put the documentation. The Default depends on the location of the annotation. On the method in the SEI, it would be the portType/operation, on the SEI, it would be the portType, on the service impl, the service element.
    Returns:
      location
    Default:
      DEFAULT

  - ### faultClass

    Class<?> faultClass
    If Placement is FAULT_MESSAGE, PORT_FAULT, or BINDING_FAULT, return the fault class associated with this documentation
    Returns:
      the fault class
    Default:
      org.apache.cxf.annotations.WSDLDocumentation.DEFAULT.class